#
# spec file for package tanukiwrapper (Version 3.2.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2006, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define section	free

Name:           tanukiwrapper
Version:        3.2.3
Release:        1.5
Summary:        Java Service Wrapper
License:        BSD 3-Clause
Url:            http://wrapper.tanukisoftware.org/
Source0:        http://download.sourceforge.net/wrapper/wrapper_3.2.3_src.tar.bz2
Patch1:         %{name}-build.patch
Patch2:         %{name}-crosslink.patch
Patch3:         %{name}-makefile-linux-x86-32.patch
#Add Makefiles so package builds for all FC architectures.
Patch4:         %{name}-Makefile-s390-s390x-ppc.patch
# The following patch is only needed for GCJ.
#Patch5:		%{name}-nosun-jvm-64.patch
Group:          Development/Libraries/Java
BuildRequires:  jpackage-utils >= 1.6
BuildRequires:  glibc-devel
BuildRequires:  ant >= 1.6.1 java-devel unzip rhino
BuildRequires:  ant-nodeps >= 1.6.1
BuildRequires:  ant-junit
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
%if %defined suse_version
BuildRequires:  perl
BuildRequires:  java-devel unzip
BuildRequires:  unzip
%else
BuildRequires:  %{__perl}
BuildRequires:  java-javadoc
%endif
Requires:       jpackage-utils >= 1.6
Obsoletes:      %{name}-demo < 0:3.1.2-2jpp
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Java Service Wrapper is an application which has evolved out of
   a desire to solve a number of problems common to many Java
   applications: - Run as a Windows Service or Unix Daemon

- Application Reliability

- Standard, Out of the Box Scripting

- On Demand Restarts

- Flexible Configuration

- Ease Application installations

- Logging



%package javadoc
License:        BSD 3-Clause
Summary:        Javadoc for tanukiwrapper
Group:          Development/Documentation

%description javadoc
The Java Service Wrapper is an application which has evolved out of
   a desire to solve a number of problems common to many Java
   applications: - Run as a Windows Service or Unix Daemon

- Application Reliability

- Standard, Out of the Box Scripting

- On Demand Restarts

- Flexible Configuration

- Ease Application installations

- Logging



%package manual
License:        BSD 3-Clause
Summary:        Documents for tanukiwrapper
Group:          Development/Documentation

%description manual
The Java Service Wrapper is an application which has evolved out of
   a desire to solve a number of problems common to many Java
   applications: - Run as a Windows Service or Unix Daemon

- Application Reliability

- Standard, Out of the Box Scripting

- On Demand Restarts

- Flexible Configuration

- Ease Application installations

- Logging



%prep
%setup -q -n wrapper_%{version}_src
%patch1
%patch2
%patch3
%patch4
find . -name "*.jar" -exec %__rm -f {} \;
%__perl -p -i -e 's/\r//' doc/AUTHORS
%__perl -p -i -e 's|-O3|%optflags|' src/c/Makefile*
%__perl -p -e \
  's|=\.\./lib/wrapper\.jar$|=%{_javadir}/%{name}.jar| ;
   s|=\.\./lib$|=%{_libdir}|' \
  src/conf/wrapper.conf.in > wrapper.conf.sample
%__perl -p -e \
  's|"\./wrapper"|"%{_sbindir}/%{name}"| ;
   s|"\.\./conf/wrapper\.conf"|"/path/to/wrapper.conf"|' \
  src/bin/sh.script.in > script.sh.sample

%build
export CLASSPATH=$(build-classpath ant junit xerces-j2 xml-commons-apis)
%ifarch x86_64 ia64 ppc64 sparc64 s390x
bits=64
%else
bits=32
%endif
%ant -Dbuild.sysclasspath=first -Djdk.api=%{_javadocdir}/java -Dbits=$bits \
  main jdoc

%install
%__rm -rf %{buildroot}

# jar
%__mkdir_p %{buildroot}%{_javadir}
%__install -p -m 0644 lib/wrapper.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s}f ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# jni
%__install -d -m 755 %{buildroot}%{_libdir}
%__install -p -m 755 lib/libwrapper.so %{buildroot}%{_libdir}

# commands
%__install -d -m 755 %{buildroot}%{_sbindir}
%__install -p -m 755 bin/wrapper %{buildroot}%{_sbindir}/%{name}

# javadoc
%__install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a jdoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/license.txt *.sample
%{_sbindir}/%{name}
%{_libdir}/libwrapper.so
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%changelog
* Tue Sep 29 2009 mvyskocil@suse.cz
- Initial packaging from jpackage-1.7
